#
# spec file for package python3-sleekxmpp
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   sleekxmpp
Name:           python3-sleekxmpp
Version:        1.3.1
Release:        1.1
Summary:        Python XMPP (Jabber) Library that Implements Everything as a Plugin
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/fritzy/SleekXMPP
Source:         https://files.pythonhosted.org/packages/source/s/%{_name}/%{_name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE sleekxmpp-fix-dnspython.patch sor.alexei@meowr.ru -- Fix compatibility with recent dnspython.
Patch0:         %{_name}-fix-dnspython.patch
BuildRequires:  python3
BuildRequires:  python3-dnspython
BuildRequires:  python3-xml
Requires:       python3-dnspython
BuildArch:      noarch

%description
SleekXMPP is an MIT licensed XMPP library for Python. The goals of
the project are ease of implementation, and complete draft XEP
(XMPP Extended Protocol) coverage. Ideally the community will be
able to use this for bots, easy XEP protocoling, etc.

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1

%build
python3 setup.py build

%install
python3 setup.py install \
  --root=%{buildroot} --prefix=%{_prefix}

%files
%defattr(-,root,root)
%doc LICENSE README.rst
%{python3_sitelib}/%{_name}/
%{python3_sitelib}/%{_name}-*

%changelog
* Fri Jul 29 2016 sor.alexei@meowr.ru
- Update to version 1.3.1:
  * No changelog available.
- Switch to Python 3.x.
- Add sleekxmpp-fix-dnspython.patch: fix compatibility with recent
  dnspython.
- Drop openSUSE 12.3 support.
- Change description a bit.
- Spec cleanup.
* Tue Nov 19 2013 p.drouand@gmail.com
- Update to version 1.1.11
  + No changelog available
- Remove useless stuff
  + Too many changes, sorry
- Break compatibility with SLE11 and openSUSE < 12.3; python is not build
  with OpenSSL
* Thu Jan 27 2011 pascal.bleser@opensuse.org
- initial version (0.9+1.0_beta4)
